.input-file-container-base, .input-file-container, .input-file-selected-container {
    position: relative;
    width: 10rem;
    height: 10rem;
    border: 1px dashed #ced4da;
    border-radius: 0.25rem; }

.input-file-container-fill, .input-file-container input, .input-file-container .input-file-info-container, .input-file-selected-container .input-file-preview-container {
    position: absolute;
    right: 0;
    top: 0;
    width: 100%;
    height: 100%; }

.input-file-container-focus, .input-file-container:hover {
    color: #212529;
    background-color: #fff;
    border-color: #86b7fe;
    outline: 0;
    box-shadow: 0 0 0 0.25rem rgba(13, 110, 253, 0.25); }

.input-file-container input {
    opacity: 0;
    cursor: pointer; }

.input-file-container .input-file-info-container {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center; }

.input-file-selected-container .input-file-delete {
    font-size: 1.5rem;
    position: absolute;
    right: -0.8rem;
    top: -1.2rem;
    cursor: pointer; }

.input-file-selected-container .input-file-preview-container {
    display: flex;
    flex-direction: column;
    justify-content: center; }

.input-file-selected-container .input-file-preview-container img {
    max-width: 10rem;
    max-height: 10rem;
    overflow: hidden; }